# eric3.VCS.cvsPackage.NewProjectDialog

Module implementing the CVS Options Dialog for a new project from the repository.

### Classes

CvsNewProjectOptionsDialog | Class implementing the Options Dialog for a new project from the repository.

### Functions

None

## CvsNewProjectOptionsDialog

Class implementing the Options Dialog for a new project from the repository.

### Derived from

CvsNewProjectOptionsForm

### Methods

CvsNewProjectOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.
handleProjectDir | Private slot to display a directory selection dialog.

### CvsNewProjectOptionsDialog (Constructor)

CvsNewProjectOptionsDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### CvsNewProjectOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

### CvsNewProjectOptionsDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

### CvsNewProjectOptionsDialog.handleProjectDir

handleProjectDir()

Private slot to display a directory selection dialog.

Up